#include "testApp.h"
#include "ofMain.h"

//--------------------------------------------------------------
void testApp::setup(){

	
	// macs by default run on non vertical sync, which can make animation very, very fast
	// this fixes that: 
	
	ofSetVerticalSync(true);
	
	// set background: 
	
	ofBackground(30,30,30);
	
	// now we are using multiple rectangles....
	// set the "a" and "b" positions of the
	for (int i = 0; i < 20; i++){
		myRectangles[i].posa.x = 0;
		myRectangles[i].posa.y = i*20;
		myRectangles[i].posb.x = 500;
		myRectangles[i].posb.y = i*20;
		myRectangles[i].shaper = 0.4*i + 0.2*i;
		myRectangles[i].interpolateByPct(0);	// start at 0 pct
	}
	
	
	for (int i=0; i<20; i++){
		myCircles[i].posa.x = i*20;
		myCircles[i].posa.y = 0;
		myCircles[i].posb.x = i*20;
		myCircles[i].posb.y = 500;
		myCircles[i].shaper = 0.4*i + 0.2*i;
		myCircles[i].interpolateByPct(0);	// start at 0 pct
	
	}
	
} 

//--------------------------------------------------------------
void testApp::update(){
	
	
	pct += 0.003f;							// increase by a certain amount
	if (pct > 1) pct = 0;					// just between 0 and 1 (0% and 100%)
	for (int i = 0; i < 20; i++){
		myRectangles[i].interpolateByPct(pct);		// go between pta and ptb
	}
	
	if (pct > 1) pct = 0;					// just between 0 and 1 (0% and 100%)
	for (int i = 0; i < 20; i++){
		myCircles[i].interpolateByPct(pct);		// go between pta and ptb
	}

}

//--------------------------------------------------------------
void testApp::draw(){
	for (int i = 0; i < 20; i++){
		ofSetColor(20,ofRandom(0,255),ofRandom(0,255));
		myRectangles[i].draw();
	}
	
	for (int i = 0; i < 20; i++){
		ofSetColor(20,ofRandom(0,255),ofRandom(0,255));
		myCircles[i].draw();
	}
	
	
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){
}

//--------------------------------------------------------------
void testApp::keyReleased  (int key){
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mouseReleased(){
}
